List Playlist Events
Return details of the stream playlist
curl -X GET "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlists/events" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlists/events"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlists/events", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlists/events", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlists/events')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
[
{
"allDay": false,
"editable": true,
"overlap": false,
"color": "#3788d8",
"id": 9271,
"title": "2215",
"url": "/dashboard/103/streams/scheduledplaylist/71979/playlist/9271",
"updateURL": "/dashboard/103/streams/scheduledplaylist/71979/playlist/9271",
"groupId": "146f7dd4c91bc9d80cf4458ad6d6cd1b",
"startTime": "2026-05-05T21:10:00",
"endTime": "1970-01-01T00:00:00"
}
]
GET
/streams/scheduledplaylist/{streamid}/playlists/eventsGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
allDayboolean
Whether the schedule applies for the full day.
editableboolean
Whether this item can be edited.
overlapboolean
Whether this schedule can overlap with other scheduled breaks.
colorstring
idinteger
Unique numeric identifier.
titlestring
urlstring
URL for this configuration.
updateURLstring
groupIdstring
Identifier used to group related schedule entries.
startTimestring
Start time of the scheduled ad break.
endTimestring
End time of the scheduled ad break.
Was this page helpful?